/**
Theme Name: Mount Baker Light
Author: Factors Group
Author URI: http://factorsgroup.com
Description: A non-WooCommerce Astra child theme by Gaza
Version: 1.0.1
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: mount-baker
Template: astra
*/

:root {
    /* just ease is good for hover effects  */
    /* linear is good for constant rotaion effects  */
    /* mostly use  */
    --ease-out-quad: cubic-bezier(.25, .46, .45, .94);
    --ease-out-cubic: cubic-bezier(.215, .61, .355, 1);
    --ease-out-quart: cubic-bezier(.165, .84, .44, 1);
    --ease-out-quint: cubic-bezier(.23, 1, .32, 1);
    --ease-out-expo: cubic-bezier(.19, 1, .22, 1);
    --ease-out-circ: cubic-bezier(.075, .82, .165, 1);
    /* elements already on the page  */
    --ease-in-out-quad: cubic-bezier(.455, .03, .515, .955);
    --ease-in-out-cubic: cubic-bezier(.645, .045, .355, 1);
    --ease-in-out-quart: cubic-bezier(.77, 0, .175, 1);
    --ease-in-out-quint: cubic-bezier(.86, 0, .07, 1);
    --ease-in-out-expo: cubic-bezier(1, 0, 0, 1);
    --ease-in-out-circ: cubic-bezier(.785, .135, .15, .86);
}


/* Ultimate Addons for Gutenberg Carousel Slick Dots Buttons  */

.wp-block-uagb-post-carousel .slick-dots button {
    box-shadow: none;
}


/* WooCommerce Blocks Next Previous Buttons */

.wc-block-next-previous-buttons button {
    box-sizing: content-box;
    height: auto;
    width: 100%;
}

/* WooCommerce PDP */

.woocommerce-js div.product form.cart .variations{
    margin-bottom: 0;
}

.woocommerce-js div.product form.cart .variations {
    border-bottom: none;
}

.woocommerce-js div.product .product_meta>span.tagged_as {
    display: none;
}

/* Remove Zoom Product Title Caption */

.pswp__caption {
    display: none;
}

/* Removed Astra figure box-shadow */
.ast-article-single figure, .ast-article-single img:not(figure img) {
    box-shadow: none;
}

/* add underline to active */
.menu-item:not(.never-ever-active).current-menu-item > .menu-link, 
.inline-on-mobile .menu-item:not(.never-ever-active).current-menu-item > .ast-menu-toggle:not(.never-ever-active), 
.current-menu-ancestor > .menu-link {
	font-weight: 500;
    text-decoration-line: underline;
    text-decoration-thickness: 2px;
	text-decoration-color: var(--ast-global-color-1);
	text-underline-offset: 5px;
}

/* set logo date parent */
.site-header-primary-section-left {
	position: relative;
/* 	border: 1px solid green; */
}

/* pushing the logo above the logo date */
.site-logo-img {
	z-index: 2;
}
/* extending the logo click area */
.site-logo-img a {
/* 	border: 1px solid cyan; */
	padding: 10px 30px 20px 0;
}

/* Adjusting and adding the menu shadow to non-fixed desktop  */
.main-header-bar,
#ast-fixed-header .main-header-bar {
    box-shadow: 0 1px 2px rgba(0, 0, 0, .1);
}

/* remove margin bottom */
@media (max-width: 544px) {
    .site-below-footer-wrap[data-section="section-below-footer-builder"].ast-footer-row-mobile-stack .site-footer-section {
        margin-bottom: 0;
    }
}

/* Heading margins */
.entry-content :where(h1,h2,h3,h4,h5,h6) {
    margin-bottom: 10px;
}
